<!DOCTYPE html>
<html lang="fr">
<html>

<head>
    <meta charset=utf-8>
    <title>Math'Educ</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    
    <style>
        @font-face {
            font-family: 'MenuFont';
            src: url('Media/mathEducFont.ttf') format('truetype');
        }

        * {
            font-family: 'MenuFont';
        }
    </style>
</head>

<body style="background: linear-gradient(to bottom, rgba(37, 34, 71, 1), rgba(37, 35, 72, 1)); color:white;">
    <div class="d-flex flex-column align-items-center justify-content-center" style="height:85vh;">
        <form class="row g-3 needs-validation w-100" action="traitementAjout.php" method="post" novalidate>
            <div class="container text-center d-flex flex-column align-items-center text-center flex-grow fs-2">
                <label for="question">Question:</label>
                <textarea class="form-control" id="question" name="question" rows="4" cols="50" required></textarea>
                <div class="invalid-feedback">
                    Please provide a valid question.
                </div>
                <div class="container text-center d-flex flex-row align-items-center text-center flex-grow">
                    <div class="container text-center d-flex flex-column align-items-center text-center flex-grow">
                        <label for="reponse1">Réponse 1:</label>
                        <textarea id="reponse1" name="reponse1" rows="1" required></textarea>
                        <div class="invalid-feedback">
                            Please provide a valid answer.
                        </div>
                    </div>
                    <div class="container text-center d-flex flex-column align-items-center text-center flex-grow">
                        <label for="reponse2">Réponse 2:</label>
                        <textarea id="reponse2" name="reponse2" rows="1" required></textarea>
                        <div class="invalid-feedback">
                            Please provide a valid answer.
                        </div>
                    </div>
                </div>
                <div class="container text-center d-flex flex-row align-items-center text-center flex-grow">
                    <div class="container text-center d-flex flex-column align-items-center text-center flex-grow">
                        <label for="reponse3">Réponse 3:</label>
                        <textarea id="reponse3" name="reponse3" rows="1" required></textarea>
                        <div class="invalid-feedback">
                            Please provide a valid answer.
                        </div>
                    </div>
                    <div class="container text-center d-flex flex-column align-items-center text-center flex-grow">
                        <label for="reponse4">Réponse 4:</label>
                        <textarea id="reponse4" name="reponse4" rows="1" required></textarea>
                        <div class="invalid-feedback">
                            Please provide a valid answer.
                        </div>
                    </div>
                </div>
                <div class="container text-center d-flex flex-row align-items-center text-center flex-grow">
                    <div class="container text-center d-flex flex-column align-items-center text-center flex-grow">
                        <label for="theme" class="form-label">Themes</label>
                        <select id="theme" name="theme" required>
                        <option selected disabled value=""></option>
                        <option>Theme1</option>
                        <option>Theme2</option>
                        <option>Theme3</option>
                        </select>
                        <div class="invalid-feedback">
                            Please select a valid theme.
                        </div>
                    </div>
                </div>
                <input class="m-5" type="submit" value="ajouter" style="background-color:green;">
            </div>
        </form>
    </div>
    <script src="js/script.js"></script>
</body>

</html>